<?php ! defined( 'ABSPATH' ) && exit(); ?><script type="text/ng-template" id="tpl-video-field">
    
	<?php
	/**
	 * Fires before video field content.
	 *
	 * @since 2.0.0
	 */
	do_action( 'totalcontest/actions/before/admin/contest/editor/fields/field', 'video', $this );
	?>
    <div class="totalcontest-tab-content active" tab="editor>form>field-{{field.uid}}>basic">
		<?php
		/**
		 * Fires before video field content.
		 *
		 * @since 2.0.0
		 */
		do_action( 'totalcontest/actions/before/admin/contest/editor/fields/field/basic', 'video', $this );
		?>
        <div class="totalcontest-settings-item" ng-include="'field-basic-label-template'"></div>
        <div class="totalcontest-settings-item" ng-include="'field-basic-name-template'"></div>
        <div class="totalcontest-settings-item" ng-include="'field-basic-placeholder-template'"></div>
		<?php
		/**
		 * Fires after video field content.
		 *
		 * @since 2.0.0
		 */
		do_action( 'totalcontest/actions/after/admin/contest/editor/fields/field/basic', 'video', $this );
		?>
    </div>
    <div class="totalcontest-tab-content" tab="editor>form>field-{{field.uid}}>validations">
		<?php
		/**
		 * Fires before video field content.
		 *
		 * @since 2.0.0
		 */
		do_action( 'totalcontest/actions/before/admin/contest/editor/fields/field/validations', 'video', $this );
		?>
        <div class="totalcontest-settings-item" ng-include="'field-validations-filled-template'"></div>

        <div class="totalcontest-settings-item">
            <div class="totalcontest-settings-field">
                <label>
                    <input type="checkbox" name="" ng-model="field.validations.file.enabled" ng-checked="field.validations.file.enabled">
					<?php  esc_html_e( 'File upload', 'totalcontest' ); ?>
                </label>
            </div>
        </div>
        <div class="totalcontest-settings-item-advanced" ng-if="field.validations.file.enabled" ng-class="{active: field.validations.file.enabled}">
            <div class="totalcontest-settings-item">
                <div class="totalcontest-settings-field">
                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.size.enabled" ng-checked="field.validations.size.enabled" ng-disabled="!field.validations.file.enabled">
						<?php  esc_html_e( 'File size', 'totalcontest' ); ?>
                    </label>
                </div>
            </div>
            <div class="totalcontest-settings-item-advanced" ng-class="{active: field.validations.size.enabled}">
                <div class="totalcontest-settings-item totalcontest-settings-item-inline">
                    <div class="totalcontest-settings-field">
                        <label class="totalcontest-settings-field-label">
							<?php  esc_html_e( 'Minimum video size (kB)', 'totalcontest' ); ?>
                        </label>
                        <input type="number" min="0" step="1" class="totalcontest-settings-field-input widefat" ng-model="field.validations.size.min">
                    </div>
                    <div class="totalcontest-settings-field">
                        <label class="totalcontest-settings-field-label">
							<?php  esc_html_e( 'Maximum video size (kB)', 'totalcontest' ); ?>
                        </label>
                        <input type="number" min="0" step="1" class="totalcontest-settings-field-input widefat" ng-model="field.validations.size.max">
                    </div>
                </div>
            </div>

            <div class="totalcontest-settings-item" ng-if="field.validations.file.enabled">
                <div class="totalcontest-settings-field">
                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.length.enabled" ng-checked="field.validations.length.enabled" ng-disabled="!field.validations.file.enabled">
						<?php  esc_html_e( 'Length', 'totalcontest' ); ?>
                    </label>
                </div>
            </div>
            <div class="totalcontest-settings-item-advanced" ng-class="{active: field.validations.length.enabled}">
                <div class="totalcontest-settings-item totalcontest-settings-item-inline">
                    <div class="totalcontest-settings-field">
                        <label class="totalcontest-settings-field-label">
							<?php  esc_html_e( 'Minimum length (seconds)', 'totalcontest' ); ?>
                        </label>
                        <input type="number" min="0" step="1" class="totalcontest-settings-field-input widefat" ng-model="field.validations.length.min">
                    </div>
                    <div class="totalcontest-settings-field">
                        <label class="totalcontest-settings-field-label">
							<?php  esc_html_e( 'Maximum length (seconds)', 'totalcontest' ); ?>
                        </label>
                        <input type="number" min="0" step="1" class="totalcontest-settings-field-input widefat" ng-model="field.validations.length.max">
                    </div>
                </div>
            </div>

            <div class="totalcontest-settings-item" ng-if="field.validations.file.enabled">
                <div class="totalcontest-settings-field">
                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.enabled" ng-checked="field.validations.formats.enabled" ng-disabled="!field.validations.file.enabled">
						<?php  esc_html_e( 'Formats', 'totalcontest' ); ?>
                    </label>
                </div>
            </div>
            <div class="totalcontest-settings-item-advanced" ng-class="{active: field.validations.formats.enabled}">

                <div class="totalcontest-settings-field">
                    <label class="totalcontest-settings-field-label">
						<?php  esc_html_e( 'Allowed formats', 'totalcontest' ); ?>
                    </label>

                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.extensions['mp4']">
						<?php  esc_html_e( 'MP4', 'totalcontest' ); ?>
                    </label>
                    &nbsp;&nbsp;
                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.extensions['m4v']">
						<?php  esc_html_e( 'M4V (Apple MP4-like)', 'totalcontest' ); ?>
                    </label>
                    &nbsp;&nbsp;
                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.extensions['mpeg']">
						<?php  esc_html_e( 'MPEG-4', 'totalcontest' ); ?>
                    </label>
                    &nbsp;&nbsp;

                    <br><br>

                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.extensions['avi']">
						<?php  esc_html_e( 'AVI', 'totalcontest' ); ?>
                    </label>
                    &nbsp;&nbsp;

                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.extensions['3gp']">
						<?php  esc_html_e( '3GP', 'totalcontest' ); ?>
                    </label>
                    &nbsp;&nbsp;

                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.extensions['webm']">
						<?php  esc_html_e( 'WebM', 'totalcontest' ); ?>
                    </label>
                    &nbsp;&nbsp;

                    <label>
                        <input type="checkbox" name="" ng-model="field.validations.formats.extensions['mov']">
						<?php  esc_html_e( 'MOV', 'totalcontest' ); ?>
                    </label>
                </div>

            </div>
        </div>


        <div class="totalcontest-settings-item">
            <div class="totalcontest-settings-field">
                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.enabled" ng-checked="field.validations.services.enabled">
					<?php  esc_html_e( 'Allowed services', 'totalcontest' ); ?>
                </label>
            </div>
        </div>
        <div class="totalcontest-settings-item-advanced" ng-class="{active: field.validations.services.enabled}">
            <div class="totalcontest-settings-field">
                <label class="totalcontest-settings-field-label">
					<?php  esc_html_e( 'Supported services', 'totalcontest' ); ?>
                </label>

                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.youtube">
					<?php  esc_html_e( 'YouTube', 'totalcontest' ); ?>
                </label>
                &nbsp;&nbsp;

                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.dailymotion">
					<?php  esc_html_e( 'Dailymotion', 'totalcontest' ); ?>
                </label>
                &nbsp;&nbsp;

                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.vk">
					<?php  esc_html_e( 'VK.RU', 'totalcontest' ); ?>
                </label>
                &nbsp;&nbsp;

                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.vimeo">
					<?php  esc_html_e( 'Vimeo', 'totalcontest' ); ?>
                </label>
                &nbsp;&nbsp;

                <br>
                <br>

                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.hulu">
					<?php  esc_html_e( 'Hulu', 'totalcontest' ); ?>
                </label>

                &nbsp;&nbsp;
                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.ustream">
					<?php  esc_html_e( 'Ustream', 'totalcontest' ); ?>
                </label>

                &nbsp;&nbsp;
                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.vine">
					<?php  esc_html_e( 'Vine', 'totalcontest' ); ?>
                </label>

                &nbsp;&nbsp;
                <label>
                    <input type="checkbox" name="" ng-model="field.validations.services.accepted.metacafe">
					<?php  esc_html_e( 'Metacafe', 'totalcontest' ); ?>
                </label>


            </div>
        </div>
		<?php
		/**
		 * Fires after video field content.
		 *
		 * @since 2.0.0
		 */
		do_action( 'totalcontest/actions/after/admin/contest/editor/fields/field/validations', 'video', $this );
		?>
    </div>
    <div class="totalcontest-tab-content" tab="editor>form>field-{{field.uid}}>html">
		<?php
		/**
		 * Fires before video field content.
		 *
		 * @since 2.0.0
		 */
		do_action( 'totalcontest/actions/before/admin/contest/editor/fields/field/html', 'video', $this );
		?>
        <div class="totalcontest-settings-item" ng-include="'field-html-css-class-template'"></div>
        <div class="totalcontest-settings-item" ng-include="'field-html-template-template'"></div>
		<?php
		/**
		 * Fires after video field content.
		 *
		 * @since 2.0.0
		 */
		do_action( 'totalcontest/actions/after/admin/contest/editor/fields/field/html', 'video', $this );
		?>
    </div>
	<?php
	/**
	 * Fires after video field content.
	 *
	 * @since 2.0.0
	 */
	do_action( 'totalcontest/actions/after/admin/contest/editor/fields/field', 'video', $this );
	?>
    
</script>
