<?php ! defined( 'ABSPATH' ) && exit(); ?><div class="totalcontest-settings-item">
    <div class="totalcontest-settings-field">
        <label>
            <input type="checkbox" name="" ng-model="editor.settings.contest.limitations.period.enabled" ng-checked="editor.settings.contest.limitations.period.enabled">
			<?php esc_html_e( 'Time period', 'totalcontest' ); ?>
        </label>
    </div>
</div>
<div class="totalcontest-settings-item-advanced" ng-class="{active: editor.settings.contest.limitations.period.enabled}">
    <div class="totalcontest-settings-item totalcontest-settings-item-inline">
        <div class="totalcontest-settings-field">
            <label class="totalcontest-settings-field-label">
				<?php esc_html_e( 'Start date', 'totalcontest' ); ?>
                <span class="totalcontest-feature-details" tooltip="<?php esc_attr_e( 'Entries submission will be closed before reaching this date.', 'totalcontest' ); ?>">?</span>
            </label>
            <input type="text" datetime-picker="<?php echo esc_attr( json_encode( [ 'format' => 'Y-m-d H:i', ] ) ); ?>" min="0" step="1" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.period.start">
            <p ng-non-bindable="" class="totalcontest-feature-tip"><strong>Timezone: <?php echo wp_timezone_string(); ?></strong></p>

            <br>

            <label class="totalcontest-settings-field-label">
				<?php esc_html_e( 'Custom message (before the specified date)', 'totalcontest' ); ?>
            </label>
            <input type="text" placeholder="<?php esc_attr_e("Not started yet, {{'\{\{time\}\}'}} left.", 'totalcontest'); ?>" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.period.startMessage">
            <p ng-non-bindable class="totalcontest-feature-tip"><code>{{time}}</code> <?php esc_html_e( 'will be replaced by the remaining time.', 'totalcontest' ); ?></p>
        </div>

        <div class="totalcontest-settings-field">
            <label class="totalcontest-settings-field-label">
				<?php esc_html_e( 'End date', 'totalcontest' ); ?>
                <span class="totalcontest-feature-details" tooltip="<?php esc_attr_e( 'Entries submission will be closed after reaching this date.', 'totalcontest' ); ?>">?</span>
            </label>
            <input type="text" datetime-picker="<?php echo esc_attr( json_encode( [ 'format' => 'Y-m-d H:i', ] ) ); ?>" min="0" step="1" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.period.end">
            <p ng-non-bindable="" class="totalcontest-feature-tip"><strong>Timezone: <?php echo wp_timezone_string(); ?></strong></p>

            <br>

            <label class="totalcontest-settings-field-label">
				<?php esc_html_e( 'Custom message (after the specified date)', 'totalcontest' ); ?>
            </label>
            <input type="text" placeholder="<?php esc_attr_e("Finished since {{'\{\{time\}\}'}}.", 'totalcontest'); ?>" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.period.endMessage">
            <p ng-non-bindable class="totalcontest-feature-tip"><code>{{time}}</code> <?php esc_html_e( 'will be replaced by the elapsed time.', 'totalcontest' ); ?></p>
        </div>
    </div>
</div>
<!-- Membership -->
<div class="totalcontest-settings-item">
    <div class="totalcontest-settings-field">
        <label>
            <input type="checkbox" name="" ng-model="editor.settings.contest.limitations.membership.enabled" ng-checked="editor.settings.contest.limitations.membership.enabled" >
			<?php esc_html_e( 'Membership', 'totalcontest' ); ?>
            
        </label>
    </div>
</div>

<div class="totalcontest-settings-item-advanced" ng-class="{active: editor.settings.contest.limitations.membership.enabled}">
    <div class="totalcontest-settings-item">
        <div class="totalcontest-settings-field">
            <label class="totalcontest-settings-field-label" for="totalcontest-settings-limitations-membership-type">
				<?php esc_html_e( 'Required membership roles', 'totalcontest' ); ?>
                <span class="totalcontest-feature-details" tooltip="<?php esc_attr_e( 'The roles that are allowed to submit.', 'totalcontest' ); ?>">?</span>
            </label>
            <select id="totalcontest-settings-limitations-membership-type" class="totalcontest-settings-field-input widefat" multiple size="7" ng-model="editor.settings.contest.limitations.membership.roles">
				<?php foreach ( get_editable_roles() as $role => $details ): ?>
                    <option value="<?php echo esc_attr( $role ); ?>" <?php selected( in_array( $role, [] ), true ); ?>><?php echo translate_user_role( $details['name'] ); ?></option>
				<?php endforeach; ?>
            </select>

            <p class="totalcontest-feature-tip"><?php esc_html_e( 'Hold Control/Command for multiple selection.', 'totalcontest' ); ?></p>
        </div>
    </div>

    <div class="totalcontest-settings-item">
        <div class="totalcontest-settings-field">
            <label class="totalcontest-settings-field-label">
				<?php esc_html_e( 'Custom message (if the current user does not belong to one of these roles)', 'totalcontest' ); ?>
            </label>
            <input type="text" placeholder="<?php esc_attr_e("To participate, you must be a part of these roles: {{'\{\{roles\}\}'}}.", 'totalpoll'); ?>" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.membership.message">
            <p ng-non-bindable class="totalcontest-feature-tip"><code>{{roles}}</code> <?php esc_html_e( 'will be replaced by the roles names.', 'totalcontest' ); ?></p>
        </div>
    </div>

    <div class="totalcontest-settings-item">
        <div class="totalcontest-settings-field">
            <label class="totalcontest-settings-field-label">
				<?php esc_html_e( 'Custom message (if the current user is not signed in)', 'totalcontest' ); ?>
            </label>
            <input type="text" placeholder="<?php echo esc_attr("To participate, please {{'\{\{signInLink\}\}'}} or {{'\{\{registerLink\}\}'}}."); ?>" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.membership.messageVisitor">
            <p ng-non-bindable class="totalcontest-feature-tip"><code>{{signInLink}}</code> <?php esc_html_e( 'will be replaced by login link.', 'totalcontest' ); ?></p>
            <p ng-non-bindable class="totalcontest-feature-tip"><code>{{registerLink}}</code> <?php esc_html_e( 'will be replaced by registration link.', 'totalcontest' ); ?></p>
        </div>
    </div>
</div>


<!-- Quota -->
<div class="totalcontest-settings-item">
    <div class="totalcontest-settings-field">
        <label>
            <input type="checkbox" name="" ng-model="editor.settings.contest.limitations.quota.enabled" ng-checked="editor.settings.contest.limitations.quota.enabled" >
			<?php esc_html_e( 'Quota', 'totalcontest' ); ?>
            
        </label>
    </div>
</div>

<div class="totalcontest-settings-item-advanced" ng-class="{active: editor.settings.contest.limitations.quota.enabled}">
    <div class="totalcontest-settings-item">
        <div class="totalcontest-settings-field">
            <label class="totalcontest-settings-field-label" for="totalcontest-settings-limitations-quota">
				<?php esc_html_e( 'Number of submissions', 'totalcontest' ); ?>
                <span class="totalcontest-feature-details" tooltip="<?php esc_attr_e( 'The quota where the contest will not accept submissions after reaching.', 'totalcontest' ); ?>">?</span>
            </label>
            <input id="totalcontest-settings-limitations-quota" type="number" min="0" step="1" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.quota.value">
        </div>
    </div>

    <div class="totalcontest-settings-item">
        <div class="totalcontest-settings-field">
            <label class="totalcontest-settings-field-label">
				<?php esc_html_e( 'Custom message (if the quota got exceeded)', 'totalcontest' ); ?>
            </label>
            <input type="text" placeholder="<?php esc_attr_e('The quota has been exceeded.', 'totalcontest'); ?>" class="totalcontest-settings-field-input widefat" ng-model="editor.settings.contest.limitations.quota.message">
        </div>
    </div>
</div>
<div class="totalcontest-settings-item">
    <p><strong><?php esc_html_e( 'Presets', 'totalcontest' ); ?></strong></p>
    <p>
		<?php esc_html_e( '15 days contest.', 'totalcontest' ); ?>
        <a href="#" ng-click="editor.settings.contest.limitations.period.enabled = true;editor.settings.contest.limitations.period.end = '<?php echo date( 'm/d/Y H:i', strtotime( '+15 days', time() ) ); ?>';"><?php esc_html_e( 'Apply', 'totalcontest' ); ?></a>
    </p>
    <p>
		<?php esc_html_e( '1 month contest.', 'totalcontest' ); ?>
        <a href="#" ng-click="editor.settings.contest.limitations.period.enabled = true;editor.settings.contest.limitations.period.end = '<?php echo date( 'm/d/Y H:i', strtotime( '+1 month', time() ) ); ?>';"><?php esc_html_e( 'Apply', 'totalcontest' ); ?></a>
    </p>
    <p>
		<?php esc_html_e( '100 submissions contest.', 'totalcontest' ); ?>
        <a href="#" ng-click="editor.settings.contest.limitations.quota.enabled = true;editor.settings.contest.limitations.quota.value = 100;"><?php esc_html_e( 'Apply', 'totalcontest' ); ?></a>
    </p>
</div>

